import React, { useContext } from 'react';
import { PageListingContext } from './PageListingContext';

export const ScrollContainer: React.FunctionComponent<HTMLDivElement> = (props: any) => {
   const { listingElRef } = useContext(PageListingContext);
   return <div ref={listingElRef}>{props.children}</div>;
};
